# Variable discoverable_tables

discoverable_tables: (
schema0?: string,
allTables?: boolean,
dbModule?: DbExportsType,
) => Promise<Row[]>

#### Type Declaration

- - (
    schema0?: string,
    allTables?: boolean,
    dbModule?: DbExportsType,
    ): Promise<Row[]>

  - List of discoverable tables. Returns all tables that can be imported to Saltcorn from current tenant database schema. The tables with name started with "sc" and tables imported to Saltcorn are ignored.

    #### Parameters

    - `Optional` schema0: string

      current tenant db schema

    - allTables: boolean = false
    - dbModule: DbExportsType = db

    #### Returns Promise<Row[]>

    all tables that can be imported to Saltcorn from current tenant database schema

- Defined in packages/saltcorn-data/models/index.ts:67